<html>
<head>
<title>OGRE: Ogre::CompositorScriptCompiler::CompositorScriptContext Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorScriptCompiler.html">CompositorScriptCompiler</a>::<a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html">CompositorScriptContext</a></div>
<h1>Ogre::CompositorScriptCompiler::CompositorScriptContext Struct Reference</h1><!-- doxytag: class="Ogre::CompositorScriptCompiler::CompositorScriptContext" -->Struct for holding the script context while parsing.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorScriptCompiler.html#163333f2f34030aef34bfefac95122aa">CompositorScriptSection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#09f8dc74da7f92008d6bd0b6ab23b941">section</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#814215a97417d427e0a44cc24798043d">groupName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#b8c450c2180198699758261f92197a91">compositor</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#0f90163530fecdf8a51d04e6d542703e">technique</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#ca0eb3126b48c919d7947905a781bcb3">target</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#61557b4206d62492e724e5732585fc63">pass</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct for holding the script context while parsing. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00115">115</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="09f8dc74da7f92008d6bd0b6ab23b941"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::section" ref="09f8dc74da7f92008d6bd0b6ab23b941" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorScriptCompiler.html#163333f2f34030aef34bfefac95122aa">CompositorScriptSection</a> <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#09f8dc74da7f92008d6bd0b6ab23b941">Ogre::CompositorScriptCompiler::CompositorScriptContext::section</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00117">117</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="814215a97417d427e0a44cc24798043d"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::groupName" ref="814215a97417d427e0a44cc24798043d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#814215a97417d427e0a44cc24798043d">Ogre::CompositorScriptCompiler::CompositorScriptContext::groupName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00118">118</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b8c450c2180198699758261f92197a91"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::compositor" ref="b8c450c2180198699758261f92197a91" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorPtr.html">CompositorPtr</a> <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#b8c450c2180198699758261f92197a91">Ogre::CompositorScriptCompiler::CompositorScriptContext::compositor</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00119">119</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0f90163530fecdf8a51d04e6d542703e"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::technique" ref="0f90163530fecdf8a51d04e6d542703e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>* <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#0f90163530fecdf8a51d04e6d542703e">Ogre::CompositorScriptCompiler::CompositorScriptContext::technique</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00120">120</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ca0eb3126b48c919d7947905a781bcb3"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::target" ref="ca0eb3126b48c919d7947905a781bcb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#ca0eb3126b48c919d7947905a781bcb3">Ogre::CompositorScriptCompiler::CompositorScriptContext::target</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00121">121</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="61557b4206d62492e724e5732585fc63"></a><!-- doxytag: member="Ogre::CompositorScriptCompiler::CompositorScriptContext::pass" ref="61557b4206d62492e724e5732585fc63" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>* <a class="el" href="structOgre_1_1CompositorScriptCompiler_1_1CompositorScriptContext.html#61557b4206d62492e724e5732585fc63">Ogre::CompositorScriptCompiler::CompositorScriptContext::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorScriptCompiler_8h-source.html#l00122">122</a> of file <a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorScriptCompiler_8h-source.html">OgreCompositorScriptCompiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
